# list_partition.h File Reference

## Detailed Description

Functionality to split sequence referenced by only input iterators. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file list_partition.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_LIST_PARTITION_H

## Functions

- template<typename InputIterator, typename FunctorType> size_t __gnu_parallel::list_partition (const InputIterator begin, const InputIterator end, InputIterator *starts, size_t *lengths, const int num_parts, FunctorType &f, int oversampling=0)
- template<typename InputIterator> void __gnu_parallel::shrink (std::vector< InputIterator > &os_starts, size_t &count_to_two, size_t &range_length)
- template<typename InputIterator> void __gnu_parallel::shrink_and_double (std::vector< InputIterator > &os_starts, size_t &count_to_two, size_t &range_length, const bool make_twice)